Bug 734898 - Inconsistency of API urls for GET/POST of several entities
Summary: Inconsistency of API urls for GET/POST of several entities
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: Nightly
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 19:21 UTC by Jeff Weiss
Modified: 2018-08-30 21:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 14:51:10 UTC


Attachments (Terms of Use)

Description Jeff Weiss 2011-08-31 19:21:28 UTC
Description of problem:
URL to get all providers was recently switched to:
 GET /api/organizations/[org]/providers
but the 'create provider' route is still 
 POST /api/providers 
and the org is included in the JSON in the POST. 

inecas said this is inconsistent in other entities as well, but I haven't looked to make an exhaustive list.  That should be part of this bug fix.

Version-Release number of selected component (if applicable):
katello-0.1.75-1.git.10.9448eb8.fc14.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lukas Zapletal 2011-11-10 10:02:22 UTC
Yup, setting lower prio.

Comment 4 Miroslav Suchý 2012-12-18 10:03:28 UTC
taking

Comment 5 Bryan Kearney 2014-01-21 19:07:06 UTC
Moving to Sat6 to be tracked there. Upstream bugs are moving to redmine.

Comment 6 Bryan Kearney 2014-02-18 14:51:10 UTC
We have moved to a new set of API standards. Closing this out.


Note You need to log in before you can comment on or make changes to this bug.